
#ifndef FAR_H_INCLUDED
#define FAR_H_INCLUDED
typedef struct farchive farchive_t;

int   far_open(char *name, farchive_t **rFF);
int   far_create(char *name, int idx_size, farchive_t **rFF);
void  far_close(farchive_t **rFF);
char *far_error_message(farchive_t *FF);

int   far_number_of_members(farchive_t *FF);
int   far_read_member(farchive_t *FF,int idx,
                      char **Rname, unsigned char **Rd,size_t *Rlen);
int   far_write_member(farchive_t *FF,int idx, 
                      char *name, unsigned char *d, size_t len);
int   far_overwrite_member(farchive_t *FF,int idx, 
                      unsigned char *d, size_t len);
#endif
